Check Point Advisories

PHP Web Shell Generic Backdoor (CVE-2014-8687; CVE-2019-3924; CVE-2019-9055; CVE-2020-24186; CVE-2024-5084)

Check Point Reference: CPAI-2014-2299
Date Published: 14 Dec 2014
Severity: Critical
Last Updated: Sunday 09 June, 2024
Source:
Industry Reference:CVE-2014-8687
CVE-2019-3924
CVE-2019-9055
CVE-2020-24186
CVE-2024-5084
Protection Provided by:

Security Gateway
R81, R80, R77, R75

Who is Vulnerable? PHP Web Servers
Vulnerability Description An attacker might upload a web shell backdoor to a PHP server. A successful exploitation might allow the attacker to run arbitrary code, or use the server as a bot for further attacks.

Protection Overview

This protection will detect and block attempts to upload a web shell backdoor.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R81 / R80 / R77 / R75

  1. In the IPS tab, click Protections and find the PHP Web Shell Generic Backdoor protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Web Server Enforcement Violation.
Attack Information:  PHP Web Shell Generic Backdoor

×
  Feedback
This website uses cookies for its functionality and for analytics and marketing purposes. By continuing to use this website, you agree to the use of cookies. For more information, please read our Cookies Notice.
OK